<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AboutPhotos extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('about_photos', function (Blueprint $table) {
            $table->id();

            $table->string('image', 250)->nullable();
            $table->unsignedBigInteger('about_id')->nullable();

            $table->foreign('about_id')->references('id')->on('abouts')->onDelete('cascade')->onUpdate('cascade');

            $table->index(['about_id']);

            // Set engine to InnoDB it's useful in join and constraint
            $table->engine = 'InnoDB';

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
